Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005ParticleContainerReceived Class Reference

`#include <GT2005ParticleContainerReceived.h>`

Collaboration diagram for GT2005ParticleContainerReceived:

[legend]
List of all members.

## Public Member Functions
| GT2005ParticleContainerReceived ()
| GT2005ParticleContainerReceived (int n)
| ~GT2005ParticleContainerReceived ()
void | calculateEstimatedBallPosition (double &ballX, double &ballY, double &ballP)
void | calculateEstimatedBallVelocity (double &ballVX, double &ballVY)
void | calculateEstimatedBallVelocity (double &ballVX, double &ballVY, double &ballVP)
int | getNumberOfSamples () const
| The function returns the number of samples in the set.
## Public Attributes
GT2005Particle * | current
int | n
Cell | cells [blMaxGrid][blMaxGrid]
double | yMax
double | xMax
double | countMax

## Constructor & Destructor Documentation

GT2005ParticleContainerReceived::GT2005ParticleContainerReceived | ( |  | ) |

| Definition at line 20 of file GT2005ParticleContainerReceived.cpp. References numOfBLParticlesSend, and GT2005Particle::setParameters().

Here is the call graph for this function:

GT2005ParticleContainerReceived::GT2005ParticleContainerReceived | ( | int | n | ) |

| Definition at line 28 of file GT2005ParticleContainerReceived.cpp. References getNumberOfSamples(), and GT2005Particle::setParameters().

Here is the call graph for this function:

GT2005ParticleContainerReceived::~GT2005ParticleContainerReceived | ( |  | ) |

| Definition at line 36 of file GT2005ParticleContainerReceived.cpp.

## Member Function Documentation

void GT2005ParticleContainerReceived::calculateEstimatedBallPosition | ( | double & | ballX,
|  | double & | ballY,
|  | double & | ballP
| ) |

| Definition at line 41 of file GT2005ParticleContainerReceived.cpp. References blMaxGrid, GT2005ParticleContainerReceived::Cell::clear(), GT2005ParticleContainerReceived::Cell::count, GT2005ParticleContainerReceived::Cell::first, getNumberOfSamples(), max, GT2005Particle::next, GT2005Particle::pose, GT2005Particle::probability, Vector2< double >::x, and Vector2< double >::y. Referenced by GT2005TeamBallLocator::execute().

Here is the call graph for this function:

void GT2005ParticleContainerReceived::calculateEstimatedBallVelocity | ( | double & | ballVX,
|  | double & | ballVY
| ) |

| Definition at line 124 of file GT2005ParticleContainerReceived.cpp. References GT2005ParticleContainerReceived::Cell::first, GT2005Particle::next, GT2005Particle::probability, GT2005Particle::vx, and GT2005Particle::vy.

void GT2005ParticleContainerReceived::calculateEstimatedBallVelocity | ( | double & | ballVX,
|  | double & | ballVY,
|  | double & | ballVP
| ) |

| Definition at line 147 of file GT2005ParticleContainerReceived.cpp. References GT2005ParticleContainerReceived::Cell::first, GT2005Particle::next, GT2005Particle::probability, GT2005Particle::vprob, GT2005Particle::vx, and GT2005Particle::vy.

int GT2005ParticleContainerReceived::getNumberOfSamples | ( |  | ) | const`[inline]`

| The function returns the number of samples in the set. Returns: The number of samples. Definition at line 91 of file GT2005ParticleContainerReceived.h. Referenced by calculateEstimatedBallPosition(), GT2005TeamBallLocator::draw(), GT2005TeamBallLocator::execute(), and GT2005ParticleContainerReceived().

## Member Data Documentation

GT2005Particle* GT2005ParticleContainerReceived::current

| Definition at line 40 of file GT2005ParticleContainerReceived.h. Referenced by GT2005TeamBallLocator::draw(), and GT2005TeamBallLocator::execute().

int GT2005ParticleContainerReceived::n

| Definition at line 43 of file GT2005ParticleContainerReceived.h.

Cell GT2005ParticleContainerReceived::cells[blMaxGrid][blMaxGrid]

| Definition at line 68 of file GT2005ParticleContainerReceived.h.

double GT2005ParticleContainerReceived::yMax

| Definition at line 69 of file GT2005ParticleContainerReceived.h.

double GT2005ParticleContainerReceived::xMax

| Definition at line 69 of file GT2005ParticleContainerReceived.h.

double GT2005ParticleContainerReceived::countMax

| Definition at line 69 of file GT2005ParticleContainerReceived.h.

The documentation for this class was generated from the following files:

- Modules/TeamBallLocator/GT2005Particles/GT2005ParticleContainerReceived.h
- Modules/TeamBallLocator/GT2005Particles/GT2005ParticleContainerReceived.cpp